#version 100

// We need to conditionally check for the availablity of GL_OES_EGL_image_external_essl3. Some devices require it,
// some devices have merely deprecated GL_OES_EGL_image_external, and some devices don't know GL_OES_EGL_image_external_essl3 exists.

#if __VERSION__ >= 300 && defined(GL_OES_EGL_image_external_essl3)
#extension GL_OES_EGL_image_external_essl3 : require
#else
#extension GL_OES_EGL_image_external : require
#endif
precision mediump float;
precision highp int;

struct FragBlock
{
    vec4 fillColor;
    vec2 crop;
    float opacity;
};

uniform FragBlock fragUniforms;

uniform highp samplerExternalOES remappableTexture0;

varying vec2 textureCoord;

float calculateTextureBlend()
{
    return ((step(0.0, textureCoord.x) * step(0.0, textureCoord.y)) * (1.0 - step(fragUniforms.crop.x, textureCoord.x))) * (1.0 - step(fragUniforms.crop.y, textureCoord.y));
}

void main()
{
    float t = calculateTextureBlend();
    gl_FragData[0] = mix(fragUniforms.fillColor, texture2D(remappableTexture0, textureCoord), vec4(t)) * vec4(1.0, 1.0, 1.0, fragUniforms.opacity);
}

